%define rel 11
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Name: xforms
Version: 0.89
Epoch: 10
Release: %{rel}%{rhtag}
License: non-free
URL: http://world.std.com/~xforms
Source0: bxform-089-glibc2.1.tgz
Packager: Clive Stubbings
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: i386
ExclusiveOS: Linux
Summary: Graphical user interface toolkit for X Window Systems

%changelog
* Sun Jun 18 2000 Clive Stubbings
- Update for 0.89
* Sat Nov 22 1997 Ximenes Zalteca <ximenes@mythic.net> 0.88-3
- Took a wayward contrib package and mended it; it looks like the i386
  package was being built from the SPARC libraries and all sorts of
  strange things.
- Reinstated RedHat's subpackages
- Added support for BuildRoot and RPM_OPT_FLAGS

%description
XForms is a GUI toolkit based on Xlib for X Window Systems. It features a rich
set of objects, such as buttons, sliders, and menus etc. integrated into an easy
and efficient object/event callback execution model that allows fast and easy
construction of X-applications. In addition, the library is extensible and new
objects can easily be created and added to the library.

%package devel
Summary: Header files and libraries needed for development
Group: Development/Libraries

%description devel
Header files and libraries needed to develop applications for the XForms GUI
toolkit.

%package demos
Summary: Demo programs for XForms
Group: Development

%description demos
Demo programs and source for XForms.

%prep
%setup -n xforms

%build
make CCFLAGS="${RPM_OPT_FLAGS}" LDFLAGS="${RPM_OPT_FLAGS} -s"
find . -name ".swp" -exec rm -f {} \;

%install
mkdir -p "%{buildroot}"/usr/lib/xforms/DEMOS/
mkdir -p "%{buildroot}"/usr/lib/xforms/FORMS/
mkdir -p "%{buildroot}"/usr/X11R6/lib/
mkdir -p "%{buildroot}"/usr/X11R6/include/
mkdir -p "%{buildroot}"/usr/X11R6/bin/

for i in 1 5 ; do
    mkdir -p "%{buildroot}"/usr/X11R6/man/man$i/ ;
done

cp -aprf DEMOS/ "%{buildroot}"/usr/lib/xforms/
cp -pf mkconfig.h "%{buildroot}"/usr/lib/xforms/
cp -pf Makefile "%{buildroot}"/usr/lib/xforms/

cp -pf fd2ps/fd2ps "%{buildroot}"/usr/X11R6/bin/
cp -pf fd2ps/fd2ps.1 "%{buildroot}"/usr/X11R6/man/man1/
cp -pf DESIGN/fdesign "%{buildroot}"/usr/X11R6/bin/
cp -pf DESIGN/fdesign.1 "%{buildroot}"/usr/X11R6/man/man1/

cp -pf FORMS/forms.h "%{buildroot}"/usr/X11R6/include/
cp -pf FORMS/libforms.a "%{buildroot}"/usr/X11R6/lib/
cp -pf FORMS/xforms.5 "%{buildroot}"/usr/X11R6/man/man5/
cp -pf FORMS/libforms.so.%{version} "%{buildroot}"/usr/X11R6/lib/

cp -pf FORMS/glcanvas.c "%{buildroot}"/usr/lib/xforms/FORMS
cp -pf FORMS/image_jpeg.c "%{buildroot}"/usr/lib/xforms/FORMS
cp -pf FORMS/image_oquant.c "%{buildroot}"/usr/lib/xforms/FORMS

( cd "%{buildroot}"/usr/X11R6/lib/ ; ln -sf libforms.so.%{version} libforms.so )
# ( cd "%{buildroot}"/usr/X11R6/man/man5/ ; ln -sf xforms.5 forms.5 )

%post -n xforms
ldconfig

%postun -n xforms
ldconfig

%clean
cd ..
rm -rf xforms
rm -rf %{buildroot}

%files
%attr(0644, root, root) %doc Bugs Changes Copyright Readme
%attr(0644, root, root) /usr/X11R6/lib/libforms.so.%{version}
%attr(0644, root, root) /usr/X11R6/man/man5/xforms.5.gz
%attr(-   , root, root) /usr/X11R6/lib/libforms.so

%files devel
%attr(0755, root, root) /usr/X11R6/bin/fdesign
%attr(0755, root, root) /usr/X11R6/bin/fd2ps
%attr(0644, root, root) /usr/X11R6/man/man1/fd2ps.1.gz
%attr(0644, root, root) /usr/X11R6/man/man1/fdesign.1.gz
%attr(0644, root, root) /usr/X11R6/include/forms.h
%attr(0644, root, root) /usr/X11R6/lib/libforms.a
%attr(0755, root, root) %dir /usr/lib/xforms/FORMS/
%attr(0644, root, root) /usr/lib/xforms/FORMS/*

%files demos
%attr(0755, root, root) %dir /usr/lib/xforms/DEMOS/
%attr(-   , root, root) /usr/lib/xforms/DEMOS/*
%attr(0644, root, root) /usr/lib/xforms/Makefile
%attr(0644, root, root) /usr/lib/xforms/mkconfig.h
